<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>EDMA Driver Internal Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">EDMA Driver Internal Functions</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa74329b5f8c580b49b0c482d6626d2db"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa74329b5f8c580b49b0c482d6626d2db">EDMA_validate_channelIdchannelType</a> (uint8_t channelId, uint8_t channelType)</td></tr>
<tr class="separator:gaa74329b5f8c580b49b0c482d6626d2db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4c475d61eeec1e03398dbb5442802684"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga4c475d61eeec1e03398dbb5442802684">EDMA_validate_channel_config</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, <a class="el" href="edma__xwr1xxx_8h.html#aee50c1279ebc9439a343c86912ea4f6d">EDMA_hwAttrs_t</a> const *hwAttrs, <a class="el" href="edma_8h.html#aab220f60f64124c34592186c7d0fd8c3">EDMA_channelConfig_t</a> const *config)</td></tr>
<tr class="separator:ga4c475d61eeec1e03398dbb5442802684"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa6937d70ac7a0b75f32ab88151180f9e"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa6937d70ac7a0b75f32ab88151180f9e">EDMA_validate_param_config</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, <a class="el" href="edma__xwr1xxx_8h.html#aee50c1279ebc9439a343c86912ea4f6d">EDMA_hwAttrs_t</a> const *hwAttrs, uint16_t paramId, <a class="el" href="edma_8h.html#ad3c0c150c35626a498ae75c6eb6e7611">EDMA_paramSetConfig_t</a> const *config, <a class="el" href="edma_8h.html#a919c730714abbf40d685918773ba9856">EDMA_transferCompletionCallbackFxn_t</a> transferCompletionCallbackFxn)</td></tr>
<tr class="separator:gaa6937d70ac7a0b75f32ab88151180f9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga69aa5ae6633226f7997f53c3e5e4c876"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga69aa5ae6633226f7997f53c3e5e4c876">EDMA_paramSetConfig_assist</a> (uint32_t ccBaseAddr, uint16_t paramId, <a class="el" href="edma_8h.html#ad3c0c150c35626a498ae75c6eb6e7611">EDMA_paramSetConfig_t</a> const *pSetCfg)</td></tr>
<tr class="separator:ga69aa5ae6633226f7997f53c3e5e4c876"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga00699ae983118508b9d9ff7cdc0e8e5c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga00699ae983118508b9d9ff7cdc0e8e5c">EDMA_transferComplete_isr</a> (uintptr_t arg)</td></tr>
<tr class="separator:ga00699ae983118508b9d9ff7cdc0e8e5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf3acfb9eb2606c3fac45eda076ba6517"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf3acfb9eb2606c3fac45eda076ba6517">EDMA_update_queue_entries</a> (uint32_t qEntry0Addr, uint32_t qEntryAddrJump, uint8_t numEntries, uint8_t *qEntryIndx, <a class="el" href="edma_8h.html#a368dab2fdf1000f97b5d393ec521345a">EDMA_queueEntryInfo_t</a> *qEntry)</td></tr>
<tr class="separator:gaf3acfb9eb2606c3fac45eda076ba6517"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad27398050d4d01ea4b615118ce433b47"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad27398050d4d01ea4b615118ce433b47">EDMA_error_isr</a> (uintptr_t arg)</td></tr>
<tr class="separator:gad27398050d4d01ea4b615118ce433b47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga674bee9f0e5720609084f702bbed3d08"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga674bee9f0e5720609084f702bbed3d08">EDMA_transferController_error_isr</a> (uintptr_t arg)</td></tr>
<tr class="separator:ga674bee9f0e5720609084f702bbed3d08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4187b2f9eaa83e7b0c807f37c4e0056e"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga4187b2f9eaa83e7b0c807f37c4e0056e">EDMA_configQueueThreshold</a> (uint32_t ccBaseAddr, uint8_t queueId, uint8_t threshold)</td></tr>
<tr class="separator:ga4187b2f9eaa83e7b0c807f37c4e0056e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga420f425eed520c537886db9016cd9ba8"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga420f425eed520c537886db9016cd9ba8">EDMA_configQueuePriority</a> (uint32_t ccBaseAddr, uint8_t transferController, uint8_t priority)</td></tr>
<tr class="separator:ga420f425eed520c537886db9016cd9ba8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga89b31869d9abc2d32ee186dace0d5e59"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga89b31869d9abc2d32ee186dace0d5e59">EDMA_configTransferControllerError</a> (uint32_t tcBaseAddr, bool isEnableAllErrors, <a class="el" href="edma_8h.html#aaf49089c78452893601e8f338c11bbda">EDMA_transferControllerErrorConfig_t</a> const *config)</td></tr>
<tr class="separator:ga89b31869d9abc2d32ee186dace0d5e59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga118b775511a2bc3b76400486c3ab8461"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga118b775511a2bc3b76400486c3ab8461">EDMA_startTransfer_assist</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, uint8_t channelId, uint8_t channelType, bool isStaticSet)</td></tr>
<tr class="separator:ga118b775511a2bc3b76400486c3ab8461"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga420f425eed520c537886db9016cd9ba8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void EDMA_configQueuePriority </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>ccBaseAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>transferController</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>priority</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility API to configure queue priority. It exploits the symmetric structure of QUEPRI registers.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ccBaseAddr</td><td>CC base address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">transferController</td><td>TC (or queue) Id. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">priority</td><td>Queue priority to be configured.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga4187b2f9eaa83e7b0c807f37c4e0056e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void EDMA_configQueueThreshold </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>ccBaseAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>queueId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>threshold</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility API to configure queue threshold. It exploits the symmetric structure of QWMTHR(A/B) registers.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ccBaseAddr</td><td>CC base address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">queueId</td><td>Queue Id of the queue to be configured. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">threshold</td><td>Queue threshold to be configured.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga89b31869d9abc2d32ee186dace0d5e59"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void EDMA_configTransferControllerError </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>tcBaseAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isEnableAllErrors</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="edma_8h.html#aaf49089c78452893601e8f338c11bbda">EDMA_transferControllerErrorConfig_t</a> const *&#160;</td>
          <td class="paramname"><em>config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility API to configure a transfer controller's error detection settings.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">tcBaseAddr</td><td>TC base address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">isEnableAllErrors</td><td>true if all error checking is to be enabled. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">config</td><td>Pointer to <a class="el" href="edma_8h.html#aaf49089c78452893601e8f338c11bbda">EDMA_transferControllerErrorConfig_t</a> when selective errors are to be configured.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad27398050d4d01ea4b615118ce433b47"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void EDMA_error_isr </td>
          <td>(</td>
          <td class="paramtype">uintptr_t&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 CC error isr which will trigger when any CC errors happen. It will call application registered error call back function with the error information.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">arg</td><td><a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> which was set when Isr was registered using OSAL API HwiP_create.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga69aa5ae6633226f7997f53c3e5e4c876"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void EDMA_paramSetConfig_assist </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>ccBaseAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>paramId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="edma_8h.html#ad3c0c150c35626a498ae75c6eb6e7611">EDMA_paramSetConfig_t</a> const *&#160;</td>
          <td class="paramname"><em>pSetCfg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility function for configuring a PaRAM Set. Note: HW_WR_FIELD32 APIs are avoided for (assumed) efficiency when writing param fields (avoid unnecessary masking because fields are defined to be right sized (e.g aCount is uint16_t, matching Param ACNT size).</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ccBaseAddr</td><td>CC base address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">paramId</td><td>PaRAM Set Id. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pSetCfg</td><td>Pointer to PaRAM Set configuration.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga118b775511a2bc3b76400486c3ab8461"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t EDMA_startTransfer_assist </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>channelId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>channelType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isStaticSet</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility function for starting a transfer.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>EDMA handle. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">channelId</td><td>channel Id. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">channelType</td><td>channed Type. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">isStaticSet</td><td>true if STATIC bit is to be set else false.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">one</td><td>of <a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html">Error Codes</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga00699ae983118508b9d9ff7cdc0e8e5c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void EDMA_transferComplete_isr </td>
          <td>(</td>
          <td class="paramtype">uintptr_t&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Transfer Completion Isr which will trigger when a channel transfer completes and if the channel is configured for a non-NULL completion call back function during channel configuration. Checks which transfer completion codes are set and calls the corresponding registered application call back function.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">arg</td><td>EDMA handle which was set when Isr was registered using HwiP_create OSAL API.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga674bee9f0e5720609084f702bbed3d08"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void EDMA_transferController_error_isr </td>
          <td>(</td>
          <td class="paramtype">uintptr_t&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 TC error isr which will trigger when any TC errors happen. It will call application registered error call back function with the error information, the error information will also report which transfer controller Id was triggered.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">arg</td><td>pointer to <a class="el" href="group___e_d_m_a___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae60128973950566fdd091dcdce1af339">EDMA_transferControllerErrorIsrArgInfo_t</a> which was set when the ISR was registered using HwiP_create OSAL API.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaf3acfb9eb2606c3fac45eda076ba6517"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void EDMA_update_queue_entries </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>qEntry0Addr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>qEntryAddrJump</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>numEntries</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>qEntryIndx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="edma_8h.html#a368dab2fdf1000f97b5d393ec521345a">EDMA_queueEntryInfo_t</a> *&#160;</td>
          <td class="paramname"><em>qEntry</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility function to update queue entry event number and event type information as read from the QxEy registers. Exploits the symmetric structure of these registers.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">qEntry0Addr</td><td>Address of queue entry 0. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">qEntryAddrJump</td><td>Queue entry address jump. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numEntries</td><td>Number of entries to iterate on. </td></tr>
    <tr><td class="paramdir">[in,out]</td><td class="paramname">qEntryIndx</td><td>Pointer to queue entry index. Will be incremented in a circular manner. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">qEntry</td><td>Pointer to queue Entry array which needs to be populated.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga4c475d61eeec1e03398dbb5442802684"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t EDMA_validate_channel_config </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="edma__xwr1xxx_8h.html#aee50c1279ebc9439a343c86912ea4f6d">EDMA_hwAttrs_t</a> const *&#160;</td>
          <td class="paramname"><em>hwAttrs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="edma_8h.html#aab220f60f64124c34592186c7d0fd8c3">EDMA_channelConfig_t</a> const *&#160;</td>
          <td class="paramname"><em>config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility function for validating parameters in <a class="el" href="edma_8h.html#aab220f60f64124c34592186c7d0fd8c3">EDMA_channelConfig_t</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>EDMA handle. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwAttrs</td><td>Pointer to hardware attributes. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">config</td><td>Pointer to EDMA channel configuration structure.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">one</td><td>of <a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html">Error Codes</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa74329b5f8c580b49b0c482d6626d2db"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t EDMA_validate_channelIdchannelType </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>channelId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>channelType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility function for validating channel Id and channel Type parameters.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">channelId</td><td>channel Id </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">channelType</td><td>channed Type</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">one</td><td>of <a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html">Error Codes</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa6937d70ac7a0b75f32ab88151180f9e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t EDMA_validate_param_config </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="edma__xwr1xxx_8h.html#aee50c1279ebc9439a343c86912ea4f6d">EDMA_hwAttrs_t</a> const *&#160;</td>
          <td class="paramname"><em>hwAttrs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>paramId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="edma_8h.html#ad3c0c150c35626a498ae75c6eb6e7611">EDMA_paramSetConfig_t</a> const *&#160;</td>
          <td class="paramname"><em>config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="edma_8h.html#a919c730714abbf40d685918773ba9856">EDMA_transferCompletionCallbackFxn_t</a>&#160;</td>
          <td class="paramname"><em>transferCompletionCallbackFxn</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility function for validating parameters relalted to param configuration.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>EDMA handle. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwAttrs</td><td>Pointer to hardware attributes. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">paramId</td><td>PaRAM Set Id. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">config</td><td>Pointer to PaRAM Set configuration structure. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">transferCompletionCallbackFxn</td><td>transfer completion call-back function configuration.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">one</td><td>of <a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html">Error Codes</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
